be.fgov.ehealth.seals.protocol.v1

## Class EncodeRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v1.RequestType
  - - be.fgov.ehealth.seals.protocol.v1.EncodeRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:06:54+01:00",
                 comments="JAXB RI v2.3.7")
      public class EncodeRequest
      extends RequestType
      implements Serializable

  Request message to encode data

  Java class for EncodeRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EncodeRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
             <sequence>
               <element name="ApplicationName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="OriginalData" type="{urn:be:fgov:ehealth:seals:core:v1}OriginalDataType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodeRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationName()` Gets the value of the applicationName property.
    `List<OriginalDataType>` | `getOriginalDatas()` Gets the value of the originalDatas property.
    `void` | `setApplicationName(String value)` Sets the value of the applicationName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodeRequest

          public EncodeRequest()

  - ### Method Detail

    - #### getApplicationName

          public String getApplicationName()

      Gets the value of the applicationName property.
      Returns:
        possible object is `String`

    - #### setApplicationName

          public void setApplicationName(String value)

      Sets the value of the applicationName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOriginalDatas

          public List<OriginalDataType> getOriginalDatas()

      Gets the value of the originalDatas property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the originalDatas property.

      For example, to add a new item, do as follows:

              getOriginalDatas().add(newItem);

      Objects of the following type(s) are allowed in the list `OriginalDataType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.